package com.yonge.cooleshow.biz.dal.dto;

import com.yonge.cooleshow.biz.dal.enums.ImNetworkDisplayEnum;
import io.swagger.annotations.ApiModelProperty;

public class ImNetworkDisplayDataDto {

	@ApiModelProperty(value = "房间号",required = true)
    private String roomId;

	@ApiModelProperty(value = "类型",required = true)
    private ImNetworkDisplayEnum type;

	@ApiModelProperty(value = "即将展示的对应人的 userId",required = true)
    private String userId;

	@ApiModelProperty(value = "display uri",required = true)
    private String uri;

	public String getRoomId() {
		return roomId;
	}

	public void setRoomId(String roomId) {
		this.roomId = roomId;
	}

	public ImNetworkDisplayEnum getType() {
		return type;
	}

	public void setType(ImNetworkDisplayEnum type) {
		this.type = type;
	}

	public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}

	public String getUri() {
		return uri;
	}

	public void setUri(String uri) {
		this.uri = uri;
	}

	@Override
	public String toString() {
		return "ImNetworkDisplayDataDto{" +
				"roomId='" + roomId + '\'' +
				", type=" + type +
				", userId='" + userId + '\'' +
				", uri='" + uri + '\'' +
				'}';
	}
}
